## r-cran-ttr 0.23

=== DESCRIPTION ===
Package: TTR
Type: Package
Title: Technical Trading Rules
Version: 0.23-2
Date: 2017-07-07
Author: Joshua Ulrich
Maintainer: Joshua Ulrich <josh.m.ulrich@gmail.com>
Imports: xts (>= 0.10-0), zoo, curl
LinkingTo: xts
Enhances: quantmod
Suggests: RUnit
Description: Functions and data to construct technical trading rules with R.
License: GPL-2
URL: https://github.com/joshuaulrich/TTR
BugReports: https://github.com/joshuaulrich/TTR/issues
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-07-10 17:18:49 UTC; josh
Repository: CRAN
Date/Publication: 2017-07-11 05:34:20 UTC

## r-cran-ttr 0.23-2

=== debian/changelog ===
r-cran-ttr (0.23-2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Drop unneeded versioning restriction on r-base-dev

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2018 09:41:49 +0100

r-cran-ttr (0.23-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Added (Build-)Depends on r-cran-curl

  * debian/control: Added versioned (Build-)Depends on r-cran-xts (>= 0.10-0)
  
  * debian/README.sources: Added

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Jul 2017 06:13:19 -0500

r-cran-ttr (0.23-1-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #865761)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 24 Jun 2017 10:31:38 -0500

=== debian/control ===
Source: r-cran-ttr
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev, cdbs, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
Standards-Version: 3.9.8

Package: r-cran-ttr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
Description: GNU R package to construct technical trading rules
 This package contains functions and data to construct technical trading rules
 with R.

## r-cran-ttr 0.23-3

=== debian/changelog ===
r-cran-ttr (0.23-3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Jan 2018 20:38:40 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev, cdbs, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.3), cdbs, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
+Standards-Version: 4.1.3
 
 Package: r-cran-ttr
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-ttr package
# Copyright 2003-2017 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/TTR_([-\d\.]*)\.tar.gz

## r-cran-ttr 0.23-4

=== debian/changelog ===
r-cran-ttr (0.23-4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 22 May 2019 09:14:00 +0200

r-cran-ttr (0.23-4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem
  * debian/compat: Set level to 10

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Sep 2018 13:32:56 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.3), cdbs, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10), r-base-dev, dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-ttr
+Vcs-Git: https://salsa.debian.org/edd/r-cran-ttr.git
+Homepage: https://cran.r-project.org/package=TTR
 
 Package: r-cran-ttr
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-ttr package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-ttr 0.23-6

=== debian/changelog ===
r-cran-ttr (0.23-6-2) unstable; urgency=medium

  * Source-only upload

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jan 2020 17:36:02 -0600

r-cran-ttr (0.23-6-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Dec 2019 22:59:15 -0600

r-cran-ttr (0.23-5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Oct 2019 20:59:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev, dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-ttr
 Vcs-Git: https://salsa.debian.org/edd/r-cran-ttr.git
 Homepage: https://cran.r-project.org/package=TTR

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/TTR_([-\d\.]*)\.tar.gz

## r-cran-ttr 0.24.0

=== debian/changelog ===
r-cran-ttr (0.24.0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Aug 2020 06:32:57 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.2), dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-ttr
 Vcs-Git: https://salsa.debian.org/edd/r-cran-ttr.git
 Homepage: https://cran.r-project.org/package=TTR

## r-cran-ttr 0.24.2

=== DESCRIPTION ===
Package: TTR
Type: Package
Title: Technical Trading Rules
Version: 0.24.2
Author: Joshua Ulrich
Maintainer: Joshua Ulrich <josh.m.ulrich@gmail.com>
Imports: xts (>= 0.10-0), zoo, curl
LinkingTo: xts
Enhances: quantmod
Suggests: RUnit
Description: A collection of over 50 technical indicators for creating technical trading rules. The package also provides fast implementations of common rolling-window functions, and several volatility calculations.
License: GPL (>= 2)
URL: https://github.com/joshuaulrich/TTR
BugReports: https://github.com/joshuaulrich/TTR/issues
NeedsCompilation: yes
Packaged: 2020-08-30 12:15:05 UTC; josh
Repository: CRAN
Date/Publication: 2020-09-01 09:50:31 UTC

=== debian/changelog ===
r-cran-ttr (0.24.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 10)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Sep 2020 09:13:14 -0500

r-cran-ttr (0.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Aug 2020 08:01:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.2), dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
+Build-Depends: debhelper-compat (= 10), r-base-dev (>= 4.0.2), dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-ttr
 Vcs-Git: https://salsa.debian.org/edd/r-cran-ttr.git

## r-cran-ttr 0.24.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: TTR
 Type: Package
 Title: Technical Trading Rules
-Version: 0.24.2
+Version: 0.24.3
 Author: Joshua Ulrich
 Maintainer: Joshua Ulrich <josh.m.ulrich@gmail.com>
 Imports: xts (>= 0.10-0), zoo, curl
@@ -13,6 +13,6 @@
 URL: https://github.com/joshuaulrich/TTR
 BugReports: https://github.com/joshuaulrich/TTR/issues
 NeedsCompilation: yes
-Packaged: 2020-08-30 12:15:05 UTC; josh
+Packaged: 2021-12-11 21:35:52 UTC; root
 Repository: CRAN
-Date/Publication: 2020-09-01 09:50:31 UTC
+Date/Publication: 2021-12-12 05:30:02 UTC

=== debian/changelog ===
r-cran-ttr (0.24.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Dec 2021 07:52:22 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 10), r-base-dev (>= 4.0.2), dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 10), r-base-dev (>= 4.1.2), dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-ttr
 Vcs-Git: https://salsa.debian.org/edd/r-cran-ttr.git
 Homepage: https://cran.r-project.org/package=TTR

## r-cran-ttr 0.24.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Package: TTR
 Type: Package
 Title: Technical Trading Rules
-Version: 0.24.3
-Author: Joshua Ulrich
-Maintainer: Joshua Ulrich <josh.m.ulrich@gmail.com>
+Version: 0.24.4
+Authors@R: c(
+  person(given="Joshua", family="Ulrich", role=c("cre","aut"), email="josh.m.ulrich@gmail.com"),
+  person(given=c("Ethan","B."), family="Smith", role="ctb")
+  )
 Imports: xts (>= 0.10-0), zoo, curl
 LinkingTo: xts
 Enhances: quantmod
@@ -13,6 +15,9 @@
 URL: https://github.com/joshuaulrich/TTR
 BugReports: https://github.com/joshuaulrich/TTR/issues
 NeedsCompilation: yes
-Packaged: 2021-12-11 21:35:52 UTC; root
+Packaged: 2023-11-28 00:12:35 UTC; josh
+Author: Joshua Ulrich [cre, aut],
+  Ethan B. Smith [ctb]
+Maintainer: Joshua Ulrich <josh.m.ulrich@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-12-12 05:30:02 UTC
+Date/Publication: 2023-11-28 05:20:21 UTC

=== debian/changelog ===
r-cran-ttr (0.24.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Dec 2023 09:08:50 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 10), r-base-dev (>= 4.1.2), dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-xts (>= 0.10-0), r-cran-zoo, r-cran-curl
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-ttr
 Vcs-Git: https://salsa.debian.org/edd/r-cran-ttr.git
 Homepage: https://cran.r-project.org/package=TTR
